{% extends 'news/base.html' %}

{% block title %}
{{q}}{% endblock%}
{% block content %}
<section class="content">
    <h1>Poisk po: {{q}}</h1>
        <div class="row">
            {% for post in posts %}
            <div class="col-md-4">
                <div class="card" style="width: 18rem;">
                    {% if post.image.url != null%}
                    <img src="{{post.image.url}}" class="card-img-top" alt="...">
                    {% endif %}
                    <div class="card-body">
                      <h5 class="card-title">{{post.title}}</h5>
                      <p class="card-text">{{post.summary}}</p>
                      <a href="#" class="btn btn-primary">Go somewhere</a>
                    </div>
                  </div>
            </div>
            {% endfor %}   
        </div>   
</section>
{% endblock %}